Bug 49024 - Segmentation Fault when doing rpm -qa or rpm --rebuilddb
Summary: Segmentation Fault when doing rpm -qa or rpm --rebuilddb
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-13 02:56 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-14 07:16:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My RPM database (2.48 MB, application/octet-stream)
2001-07-13 03:03 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-07-13 02:56:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010702

Description of problem:
I'm using rpm v4.0.2 with Redhat 6.2.  Some packages must have gone bad in
the rpm database but i have no idea how to fix it.

How reproducible:
Always

Steps to Reproduce:
1. rpm -qa or
2. rpm --rebuilddb
3.
	

Actual Results:  ...
mozilla-0.9-0
IBMJava2-SDK-1.3-7.0
gftp-2.0.8-1
rpm-4.0.2-6x
Segmentation fault (core dumped)


Expected Results:  No Segfault

Additional info:

it happens if I do rpm -qa or rpm --rebuilddb.  I can install and remove
packages fine though.

Comment 1 Need Real Name 2001-07-13 03:03:37 UTC
Created attachment 23469 [details]
My RPM database

Comment 2 Jeff Johnson 2001-07-13 12:33:52 UTC
Try installing rpm-4.0.3-0.57 from
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
A "rpm --rebuilddb" should fix your problem.

If that does not fix the problem, please reopen this bug and I'll try
to get you a fix.

Comment 3 Need Real Name 2001-07-14 07:15:27 UTC
I've installed the RPM package you've mentioned and now if i do rpm -ivh or rpm
-Uvh it saids "error: cannot open Packages database in /var/lib/rpm" and typing
rpm -qa shows nothing

Comment 4 Jeff Johnson 2001-07-16 15:12:21 UTC
Try "rpm -qa --dbapi 1". If that displays your packages, then do
	rpm --rebuilddb --dbapi 1 -vv
to convert from db1 to db3 format.


Note You need to log in before you can comment on or make changes to this bug.